### Class

# Foundry DiagnosticRange

#### Description [src]

    final class Foundry.DiagnosticRange : GObject.Object
    {
      /* No available fields */
    }

Represents a range within a file that a diagnostic applies to.

#### Ancestors

- GObject

#### Instance methods

###### foundry_diagnostic_range_get_end_line

No description available.

###### foundry_diagnostic_range_get_end_line_offset

No description available.

###### foundry_diagnostic_range_get_start_line

No description available.

###### foundry_diagnostic_range_get_start_line_offset

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DiagnosticRange:end-line

No description available.

###### Foundry.DiagnosticRange:end-line-offset

No description available.

###### Foundry.DiagnosticRange:start-line

No description available.

###### Foundry.DiagnosticRange:start-line-offset

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDiagnosticRangeClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.